FDeformer3D Struct Reference
Image Registration and Transformation

A filter to transform an image. More...

`#include <mia/3d/deformer.hh>`

Inheritance diagram for FDeformer3D:
[legend]
Collaboration diagram for FDeformer3D:
[legend]

## Public Member Functions

| FDeformer3D (const C3DFVectorfield &vf, const C3DInterpolatorFactory &ipfac)
template<typename T>
P3DImage | operator() (const T3DImage< T > &image) const
template<typename T>
P3DImage | operator() (const T3DImage< T > &image, T3DImage< T > &result) const

## Additional Inherited Members

Public Types inherited from TFilter< P3DImage >
typedef P3DImage | result_type
| defines the return type of the filter function

## Detailed Description

A filter to transform an image.

Remarks
  obsolete, should be done by using C3DTransformation

Definition at line 42 of file 3d/deformer.hh.

## Constructor & Destructor Documentation

## FDeformer3D()

FDeformer3D::FDeformer3D | ( | const C3DFVectorfield & | vf,
|  | const C3DInterpolatorFactory & | ipfac )

inline

Definition at line 43 of file 3d/deformer.hh.

## Member Function Documentation

## operator()() [1/2]

template<typename T>

P3DImage FDeformer3D::operator() | ( | const T3DImage< T > & | image | ) | const

inline

Definition at line 49 of file 3d/deformer.hh.

References operator()().

Referenced by operator()().

## operator()() [2/2]

template<typename T>

P3DImage FDeformer3D::operator() | ( | const T3DImage< T > & | image,
|  | T3DImage< T > & | result ) const

inline

Definition at line 58 of file 3d/deformer.hh.

References T3DImage< T >::begin_at(), T3DImage< T >::data(), T3DImage< T >::get_size(), pfor(), and T3DVector< T >::z.

The documentation for this struct was generated from the following file:

- 3d/deformer.hh